# Unit uCEFOAuth2Helper

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

This item has no description.

## Overview

### Classes, Interfaces, Objects and Records

Name | Description
--- | ---
Class `TCEFOAuth2Helper` |

### Types

`TOAuthChallengeMethod = (...);`

### Constants

`DEFAULT_REDIRECT_IPV4_HOST = '127.0.0.1';`
`DEFAULT_REDIRECT_IPV6_HOST = '[::1]';`
`DEFAULT_REDIRECT_PORT = 50000;`
`GOOGLE_DISCOVERY_DOCUMENT = 'https://accounts.google.com/.well-known/openid-configuration';`

## Description

### Types

`TOAuthChallengeMethod = (...);`
This item has no description. ###### Values cmPlain cmSHA256

### Constants

`DEFAULT_REDIRECT_IPV4_HOST = '127.0.0.1';`
REFERENCES : ============ https://tools.ietf.org/html/rfc6749 https://tools.ietf.org/html/rfc6750 https://tools.ietf.org/html/rfc8252 https://tools.ietf.org/html/rfc6819 https://tools.ietf.org/html/rfc7636 https://tools.ietf.org/html/draft-ietf-oauth-native-apps-12 https://tools.ietf.org/html/draft-ietf-oauth-security-topics-13 https://developers.google.com/identity/protocols/OAuth2 https://developers.google.com/identity/protocols/OAuth2InstalledApp https://developers.google.com/identity/protocols/googlescopes https://developers.google.com/identity/protocols/OpenIDConnect https://aaronparecki.com/oauth-2-simplified/ https://example-app.com/pkce

`DEFAULT_REDIRECT_IPV6_HOST = '[::1]';`
This item has no description.

`DEFAULT_REDIRECT_PORT = 50000;`
This item has no description.

`GOOGLE_DISCOVERY_DOCUMENT = 'https://accounts.google.com/.well-known/openid-configuration';`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.